import { jsx as _jsx } from "react/jsx-runtime";
import loadable from '@loadable/component';
import { LoadProgressMemo as LoadProgress } from "../load-progress"; // eslint-disable-next-line @typescript-eslint/no-explicit-any

function LazyLoad(component) {
  if (!component) return;
  return loadable(component, {
    fallback: _jsx(LoadProgress, {
      isAnimating: true
    }, void 0)
  });
}

export default LazyLoad;

